Index: trunk/examples/extended/parallel/ParN04/AnnotatedFiles/G4HCofThisEvent.hh
===================================================================
--- trunk/examples/extended/parallel/ParN04/AnnotatedFiles/G4HCofThisEvent.hh	(revision 1230)
+++ trunk/examples/extended/parallel/ParN04/AnnotatedFiles/G4HCofThisEvent.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HCofThisEvent.hh,v 1.3 2006/06/29 17:35:30 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/parallel/ParN04/AnnotatedFiles/G4THitsCollection.hh
===================================================================
--- trunk/examples/extended/parallel/ParN04/AnnotatedFiles/G4THitsCollection.hh	(revision 1230)
+++ trunk/examples/extended/parallel/ParN04/AnnotatedFiles/G4THitsCollection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4THitsCollection.hh,v 1.3 2006/06/29 17:35:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/parallel/ParN04/AnnotatedFiles/G4VHitsCollection.hh
===================================================================
--- trunk/examples/extended/parallel/ParN04/AnnotatedFiles/G4VHitsCollection.hh	(revision 1230)
+++ trunk/examples/extended/parallel/ParN04/AnnotatedFiles/G4VHitsCollection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VHitsCollection.hh,v 1.3 2006/06/29 17:35:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/examples/extended/parallel/ParN04/GNUmakefile
===================================================================
--- trunk/examples/extended/parallel/ParN04/GNUmakefile	(revision 1230)
+++ trunk/examples/extended/parallel/ParN04/GNUmakefile	(revision 1337)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.3 2006/11/16 13:38:46 gunter Exp $
+# $Id: GNUmakefile,v 1.4 2010/01/11 16:57:10 gcosmo Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -11,5 +11,5 @@
 
 ifndef G4INSTALL
-  G4INSTALL = ../../..
+  G4INSTALL = ../../../..
 endif
 
Index: trunk/examples/extended/parallel/ParN04/History
===================================================================
--- trunk/examples/extended/parallel/ParN04/History	(revision 1230)
+++ trunk/examples/extended/parallel/ParN04/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.13 2006/11/18 03:45:57 asaim Exp $
+$Id: History,v 1.15 2010/06/06 05:08:32 perl Exp $
 -------------------------------------------------------------------
 
@@ -15,4 +15,12 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+June 5th, 2010 - J.Perl ParN04-V09-03-01
+-------------------------
+- Updated vis usage
+
+June 4th, 2010 V.Ivant - ParN04-V09-03-00
+---------------------
+- Substituted QGSP by QGSP_BERT
 
 Nov 17th, 2006 M.Asai - ParN04-V08-01-02
Index: trunk/examples/extended/parallel/ParN04/ParN04.cc
===================================================================
--- trunk/examples/extended/parallel/ParN04/ParN04.cc	(revision 1230)
+++ trunk/examples/extended/parallel/ParN04/ParN04.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: ParN04.cc,v 1.6 2006/07/05 13:07:54 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: ParN04.cc,v 1.7 2010/06/04 17:58:50 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
@@ -40,5 +40,5 @@
 
 #include "ExN04DetectorConstruction.hh"
-#include "QGSP.hh"
+#include "QGSP_BERT.hh"
 #include "ExN04PrimaryGeneratorAction.hh"
 #include "ExN04RunAction.hh"
@@ -71,5 +71,5 @@
   runManager->SetUserInitialization(detector);
   //
-  G4VUserPhysicsList* physics = new QGSP;
+  G4VUserPhysicsList* physics = new QGSP_BERT();
   runManager->SetUserInitialization(physics);
   
Index: trunk/examples/extended/parallel/ParN04/ParTopC.icc
===================================================================
--- trunk/examples/extended/parallel/ParN04/ParTopC.icc	(revision 1230)
+++ trunk/examples/extended/parallel/ParN04/ParTopC.icc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: ParTopC.icc,v 1.2 2006/06/29 17:35:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // --------------------------------------------------------------------
Index: trunk/examples/extended/parallel/ParN04/include/ExN04EMPhysics.hh
===================================================================
--- trunk/examples/extended/parallel/ParN04/include/ExN04EMPhysics.hh	(revision 1230)
+++ trunk/examples/extended/parallel/ParN04/include/ExN04EMPhysics.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN04EMPhysics.hh,v 1.2 2006/06/29 17:36:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
Index: trunk/examples/extended/parallel/ParN04/include/ExN04RunAction.hh
===================================================================
--- trunk/examples/extended/parallel/ParN04/include/ExN04RunAction.hh	(revision 1230)
+++ trunk/examples/extended/parallel/ParN04/include/ExN04RunAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN04RunAction.hh,v 1.3 2006/07/05 13:07:55 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/parallel/ParN04/include/ExN04SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/parallel/ParN04/include/ExN04SteppingVerbose.hh	(revision 1230)
+++ trunk/examples/extended/parallel/ParN04/include/ExN04SteppingVerbose.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN04SteppingVerbose.hh,v 1.2 2006/06/29 17:36:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //   This class manages the verbose outputs in G4SteppingManager. 
Index: trunk/examples/extended/parallel/ParN04/include/ParRunManager.hh
===================================================================
--- trunk/examples/extended/parallel/ParN04/include/ParRunManager.hh	(revision 1230)
+++ trunk/examples/extended/parallel/ParN04/include/ParRunManager.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: ParRunManager.hh,v 1.4 2006/06/29 17:36:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // --------------------------------------------------------------------
Index: trunk/examples/extended/parallel/ParN04/src/ExN04EventAction.cc
===================================================================
--- trunk/examples/extended/parallel/ParN04/src/ExN04EventAction.cc	(revision 1230)
+++ trunk/examples/extended/parallel/ParN04/src/ExN04EventAction.cc	(revision 1337)
@@ -35,7 +35,4 @@
 #include "G4HCofThisEvent.hh"
 #include "G4VHitsCollection.hh"
-#include "G4TrajectoryContainer.hh"
-#include "G4Trajectory.hh"
-#include "G4VVisManager.hh"
 #include "G4SDManager.hh"
 #include "G4UImanager.hh"
Index: trunk/examples/extended/parallel/ParN04/src/ExN04RunAction.cc
===================================================================
--- trunk/examples/extended/parallel/ParN04/src/ExN04RunAction.cc	(revision 1230)
+++ trunk/examples/extended/parallel/ParN04/src/ExN04RunAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN04RunAction.cc,v 1.3 2006/07/05 13:07:56 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/parallel/ParN04/src/ExN04SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/parallel/ParN04/src/ExN04SteppingVerbose.cc	(revision 1230)
+++ trunk/examples/extended/parallel/ParN04/src/ExN04SteppingVerbose.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN04SteppingVerbose.cc,v 1.2 2006/06/29 17:37:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/parallel/ParN04/vis.mac
===================================================================
--- trunk/examples/extended/parallel/ParN04/vis.mac	(revision 1230)
+++ trunk/examples/extended/parallel/ParN04/vis.mac	(revision 1337)
@@ -1,31 +1,68 @@
+surface# Use this open statement to create an OpenGL view:
+/vis/open OGL 600x600-0+0
 #
-# Macro file for the initialization phase of "exampleN02.cc"
-# when runing in interactive mode
+# Use this open statement to create a .prim file suitable for
+# viewing in DAWN:
+#/vis/open DAWNFILE
 #
-# Sets some default verbose
+# Use this open statement to create a .heprep file suitable for
+# viewing in HepRApp:
+#/vis/open HepRepFile
 #
-/control/verbose 2
-/run/verbose 2
+# Use this open statement to create a .wrl file suitable for
+# viewing in a VRML viewer:
+#/vis/open VRML2FILE
 #
-# create empty scene
+# Disable auto refresh and quieten vis messages whilst scene and
+# trajectories are established:
+/vis/viewer/set/autoRefresh false
+/vis/verbose errors
 #
-/vis/scene/create
+# Draw geometry:
+/vis/drawVolume
 #
-# Create a scene handler for a specific graphics system
-# (Edit the next line(s) to choose another graphic system)
+# Specify view angle:
+#/vis/viewer/set/viewpointThetaPhi 90. 0.
 #
-/vis/open OGLIX
+# Specify zoom value:
+#/vis/viewer/zoom 2.
 #
-####/vis/open DAWNFILE
+# Specify style (surface or wireframe):
+#/vis/viewer/set/style wireframe
 #
-# draw scene
+# Draw coordinate axes:
+#/vis/scene/add/axes 0 0 0 1 m
 #
-/vis/viewer/set/viewpointThetaPhi 90 180 deg
-/vis/viewer/zoom 1.4
-/vis/viewer/flush
+# Draw smooth trajectories at end of event, showing trajectory points
+# as markers 2 pixels wide:
+/vis/scene/add/trajectories smooth
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 2
+# (if too many tracks cause core dump => /tracking/storeTrajectory 0)
 #
-# for drawing the tracks
-# (if too many tracks cause core dump => storeTrajectory 0)
-/tracking/storeTrajectory 1
-/vis/scene/endOfEventAction accumulate
-
+# Draw hits at end of event:
+#/vis/scene/add/hits
+#
+# To draw only gammas:
+#/vis/filtering/trajectories/create/particleFilter
+#/vis/filtering/trajectories/particleFilter-0/add gamma
+#
+# To invert the above, drawing all particles except gammas,
+# keep the above two lines but also add:
+#/vis/filtering/trajectories/particleFilter-0/invert true
+#
+# Many other options are available with /vis/modeling and /vis/filtering.
+# For example, to select colour by particle ID:
+#/vis/modeling/trajectories/create/drawByParticleID
+#/vis/modeling/trajectories/drawByParticleID-0/set e- blue
+#
+# To superimpose all of the events from a given run:
+#/vis/scene/endOfEventAction accumulate
+#
+# Re-establish auto refreshing and verbosity:
+/vis/viewer/set/autoRefresh true
+/vis/verbose warnings
+#
+# For file-based drivers, use this to create an empty detector view:
+#/vis/viewer/flush
